Get form submission
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"respondentEmail": "<string>",
"respondentName": "<string>",
"respondentPhone": "<string>",
"values": {},
"fieldSnapshot": [
{}
],
"metadata": {},
"submittedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Forms
Get form submission
Requires read:forms.
GET
/
api
/
v1
/
marketing
/
forms
/
{id}
/
submissions
/
{submissionId}
Get form submission
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"respondentEmail": "<string>",
"respondentName": "<string>",
"respondentPhone": "<string>",
"values": {},
"fieldSnapshot": [
{}
],
"metadata": {},
"submittedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I